# Class SchemaReaderFactorySchemaReceiverFactory

java.lang.Object
com.thaiopensource.validate.auto.SchemaReaderFactorySchemaReceiverFactory

All Implemented Interfaces:
  `SchemaReceiverFactory`

Direct Known Subclasses:
  `SchemaReaderLoaderSchemaReceiverFactory`

public class SchemaReaderFactorySchemaReceiverFactory extends Object implements SchemaReceiverFactory

## Field Summary

### Fields inherited from interface com.thaiopensource.validate.auto.SchemaReceiverFactory

`PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`SchemaReaderFactorySchemaReceiverFactory(SchemaReaderFactory srf)`

## Method Summary

Modifier and Type
Method
Description
`SchemaReceiver`
`createSchemaReceiver(String namespaceUri, PropertyMap properties)`
`Option`
`getOption(String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchemaReaderFactorySchemaReceiverFactory

public SchemaReaderFactorySchemaReceiverFactory(SchemaReaderFactory srf)

## Method Details

### createSchemaReceiver

public SchemaReceiver createSchemaReceiver(String namespaceUri, PropertyMap properties)

Specified by:
  `createSchemaReceiver` in interface `SchemaReceiverFactory`

### getOption

public Option getOption(String uri)

Specified by:
  `getOption` in interface `SchemaReceiverFactory`